ToscaWidgets 
============

TW is a web widget toolkit for Python to aid in the creation, packaging and
distribution of common view elements normally used in the web.

These widgets are portable among any Python web-application framework or
application that supports the WSGI standard.

Several widget libraries exist which build on top of Toscawidgets to provide
form controls, sortable grids, maps, charts, etc.

Credits
-------

ToscaWidgets was originally developed by `Alberto Valverde Gonzalez`_ based on
the work of the many people involved in developing, testing and designing 
TurboGears' Widgets.  TG Widget's original design was made by TurboGears'
author, `Kevin Dangoor`_ . **Michele Cella** and Alberto worked hard to push
TG's implementation to where it now stands.

Several people have contributed to ToscaWidgets itself and external widget
packages.

Community
---------

ToscaWidgets' community interacts in the `toscawidgets-discuss`_ Google Group.
It's not rare to see discussion in Turbogears and Pylons lists too.

ToscaWidgets documentation, repository and Trac lives at
http://toscawidgets.org/

Running the tests
-----------------

The test suite can be executed by running the `test` `setuptools` command::

    $ python setup.py test

.. warning::

    The tests cannot be executed with `nosetests` ATM. This issue is not trivial
    to fix but will be fixed before 1.0

.. _Alberto Valverde Gonzalez: mailto:alberto@toscat._nospam_.net
.. _Kevin Dangoor: http://www.blueskyonmars.com/
.. _toscawidgets-discuss: http://groups.google.com/group/toscawidgets-discuss
